Well, since no one wants to or knows how to answer any of my questions, I'll throw another at ya. I've noticed that nobody seems to be using any "droid" O.S. above Kitkat on their phones. Is there a reason for this? And, I have a gen 1 Samsung: which is the "latest" version O.S this phone will run?

Rick